#include <cmath>

#include "mylib.h"

double scalar(unsigned int const N, double const x[], double const y[])
{
    double sum = 0.0;
    for (unsigned int i = 0; i < N; ++i)
    {
        sum += x[i] * y[i];
//     sum += exp(x[i])*log(y[i]);
    }
    return sum;
}


double norm(unsigned int const N, double const x[])
{
    double sum = 0.0;
    for (unsigned int i = 0; i < N; ++i)
    {
        sum += x[i] * x[i];
    }
    return std::sqrt(sum);
}

